Get a player’s raid activity history with cursor-based pagination
curl --request GET \
--url https://api.example.com/player/{membershipId}/history{
"membershipId": "<string>",
"nextCursor": "<string>",
"activities": [
{
"instanceId": "<string>",
"hash": 123,
"completed": true,
"flawless": true,
"fresh": true,
"playerCount": 123,
"skullHashes": [
{}
],
"score": 123,
"dateStarted": "<string>",
"dateCompleted": "<string>",
"season": 123,
"duration": 123,
"platformType": 123,
"activityId": 123,
"versionId": 123,
"isDayOne": true,
"isContest": true,
"isWeekOne": true,
"isBlacklisted": true,
"player": {
"completed": true,
"isFirstClear": true,
"sherpas": 123,
"timePlayedSeconds": 123
}
}
]
}Get a player’s activity history with cursor-based pagination. This endpoint replaces the deprecatedDocumentation Index
Fetch the complete documentation index at: https://mintlify.com/Raid-Hub/API/llms.txt
Use this file to discover all available pages before exploring further.
/activities endpoint.
nextCursor value from the previous response for subsequent requests.null if no more activities exist.Show InstanceForPlayer
null if not tracked.null if not tracked.0 if mixed platforms, otherwise the platform all players were on.curl -X GET "https://api.raidhub.io/player/4611686018488107374/history?count=100" \
-H "X-API-Key: your_api_key_here"
curl -X GET "https://api.raidhub.io/player/4611686018488107374/history?count=100&cursor=2021-05-01T00:00:00.000Z" \
-H "X-API-Key: your_api_key_here"
{
"minted": "2026-03-03T12:34:56.789Z",
"success": true,
"response": {
"membershipId": "4611686018488107374",
"nextCursor": "2021-04-15T18:30:00.000Z",
"activities": [
{
"instanceId": "12345678901234567",
"hash": 3881495763,
"completed": true,
"flawless": false,
"fresh": true,
"playerCount": 6,
"skullHashes": [],
"score": 0,
"dateStarted": "2021-05-01T18:00:00.000Z",
"dateCompleted": "2021-05-01T19:30:00.000Z",
"season": 14,
"duration": 5400,
"platformType": 3,
"activityId": 9,
"versionId": 1,
"isDayOne": false,
"isContest": false,
"isWeekOne": false,
"isBlacklisted": false,
"player": {
"completed": true,
"isFirstClear": false,
"sherpas": 2,
"timePlayedSeconds": 5400
}
}
]
}
}
{
"minted": "2026-03-03T12:34:56.789Z",
"success": false,
"code": "PlayerNotFoundError",
"error": {
"membershipId": "4611686018488107374"
}
}
{
"minted": "2026-03-03T12:34:56.789Z",
"success": false,
"code": "PlayerPrivateProfileError",
"error": {
"membershipId": "4611686018488107374"
}
}
cursor parameternextCursor is not null, more activities existnextCursor value as the cursor parameternextCursor is null, you’ve reached the endcurl --request GET \
--url https://api.example.com/player/{membershipId}/history{
"membershipId": "<string>",
"nextCursor": "<string>",
"activities": [
{
"instanceId": "<string>",
"hash": 123,
"completed": true,
"flawless": true,
"fresh": true,
"playerCount": 123,
"skullHashes": [
{}
],
"score": 123,
"dateStarted": "<string>",
"dateCompleted": "<string>",
"season": 123,
"duration": 123,
"platformType": 123,
"activityId": 123,
"versionId": 123,
"isDayOne": true,
"isContest": true,
"isWeekOne": true,
"isBlacklisted": true,
"player": {
"completed": true,
"isFirstClear": true,
"sherpas": 123,
"timePlayedSeconds": 123
}
}
]
}